!! Program Name            : DESCRIP.MMS
!!   Original Author       : JLAURET
!!   Date                  : 27-May-1999
!!   Program Description   :  VMS Make file for CHTEXT
!!                         : 


! In case you have flex installed somewhere else, use
! /MACRO=(FLEXLIB=WhereverOLBIs,FLEXINC=WhereverHAre)
FLEXLIB	  = SYS$LIBRARY:flexlib.olb
FLEXINC	  = SYS$LIBRARY:


.ifdef __AXP__
EXE	  = EXE_AXP
OBJ       = OBJ_AXP
CFLAGS    = /prefix=ALL/standard=vaxc/g_float
LINKFLAGS = ,$(FLEXLIB)/lib
.else
EXE	  = EXE_VAX
OBJ       = OBJ_VAX
CFLAGS 	  = /g_float/include=($(FLEXINC))
LINKFLAGS = ,$(FLEXLIB)/lib,sys$Library:vaxcrtl/lib
.endif

CHTEXT.$(EXE) : CHTEXT.$(OBJ)
	LINK/EXEC=$(MMS$TARGET) CHTEXT.$(OBJ) $(LINKFLAGS)


CHTEXT.$(OBJ) : CHTEXT.C
	CC $(CFLAGS)/OBJECT=$(MMS$TARGET) $(MMS$SOURCE)

CHTEXT.C : CHTEXT.FLEX
	FLEX CHTEXT.FLEX
	RENAME LEXYY.C CHTEXT.C

CLEAN :
	@ IF f$SEARCH("LEXYY.C").nes."" then delete/nolog/noconf LEXYY.C;*
	@ IF f$SEARCH("CHTEXT.C").nes."" then delete/nolog/noconf CHTEXT.C;*
	@ IF f$SEARCH("CHTEXT.$(OBJ)").nes."" then delete/nolog/noconf CHTEXT.$(OBJ);*


! For maintainance only. Do not execute if you do not have
! perl, vpipe and sed on your site or if you are missing the perl
! conversion programs.
!

DONE : HELP 
        @ write sys$output "Ready to be packed ..."

VMS_BIN.ZIP : CHTEXT.$(EXE)
        ZIP/MOVE/VMS VMS_BIN.ZIP *.EXE*,*.obj*

HELP : CHTEXT.MAN CHTEXT.HLP CHTEXT.HTML
        @ write sys$output "Help file and Manpage ready"

CHTEXT.MAN : CHTEXT.POD
        pod2man CHTEXT.POD >CHTEXT.MAN

CHTEXT.HLP : CHTEXT.POD
        pod2hlp CHTEXT.POD

CHTEXT.HTML : CHTEXT.POD
        pod2html CHTEXT.POD >CHTEXT.HTML
        if f$search("POD2HTML-DIRCACHE.;").nes."" then delete/nolog/noconf POD2HTML-*.;*

